package com.ss.android.ugc.aweme.discover.impl;

import X.0HB;
import X.Lnj;
import X.M12;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.discover.IDiscoveryAsyncInflateService;

public final class DiscoveryAsyncInflateImpl implements IDiscoveryAsyncInflateService {
    static {
        Covode.recordClassIndex(64711);
    }

    public static IDiscoveryAsyncInflateService LIZ() {
        MethodCollector.i(7884);
        IDiscoveryAsyncInflateService iDiscoveryAsyncInflateService = (IDiscoveryAsyncInflateService) Lnj.LIZ(IDiscoveryAsyncInflateService.class, false);
        if (iDiscoveryAsyncInflateService != null) {
            MethodCollector.o(7884);
            return iDiscoveryAsyncInflateService;
        }
        Object LIZIZ = Lnj.LIZIZ(IDiscoveryAsyncInflateService.class, false);
        if (LIZIZ != null) {
            IDiscoveryAsyncInflateService iDiscoveryAsyncInflateService2 = (IDiscoveryAsyncInflateService) LIZIZ;
            MethodCollector.o(7884);
            return iDiscoveryAsyncInflateService2;
        }
        if (Lnj.LLIZLLLIL == null) {
            synchronized (IDiscoveryAsyncInflateService.class) {
                try {
                    if (Lnj.LLIZLLLIL == null) {
                        Lnj.LLIZLLLIL = new DiscoveryAsyncInflateImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(7884);
                    throw th;
                }
            }
        }
        DiscoveryAsyncInflateImpl discoveryAsyncInflateImpl = (DiscoveryAsyncInflateImpl) Lnj.LLIZLLLIL;
        MethodCollector.o(7884);
        return discoveryAsyncInflateImpl;
    }

    public final void LIZ(Context context) {
        M12.LIZ(context);
        0HB.LIZ(context, 2131559578);
        0HB.LIZ(context, 2131559567);
    }
}
